%define name webmin
%define version 0.80

Name: %{name}
Summary: A web-based administration interface for Unix systems.
Version: %{version}
Release: 1mdk
Copyright: BSD like
Group: System/Configuration/Other
URL: http://www.webmin.com/webmin/
Source0: %{name}-%{version}.tar.bz2
Source1: postfix-mdkmodule-3.tar.bz2
Source3: %{name}-mdkicons-2.tar.bz2
Source4: %{name}-postinstallscript.sh
Source5: %{name}
Patch0:	webmin-mdkconf.patch.bz2
Patch1: %{name}-remove-atboot-problem.bz2
Requires: perl
PreReq: sed chkconfig findutils fileutils
Provides: %{name}-%{version}
Buildroot: %{_tmppath}/%{name}-%{version}
BuildArchitectures:	noarch

%description
A web-based administration interface for Unix systems. Using Webmin you can
configure DNS, Samba, NFS, local/remote filesystems, Apache, Sendmail/Postfix,
and more using your web browser.

After installation, enter the URL http://localhost:10000/ into your browser and
login as root with your root password. Please consider logging in and modify
your password for security issue.


%prep
%setup -q -a 1 -a 3
%patch0 -p0
%patch1 -p1

(find . -name '*.cgi' ; find . -name '*.pl') | perl perlpath.pl /usr/bin/perl -
rm -f mount/freebsd-mounts-*
rm -f mount/openbsd-mounts-*

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/webmin
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/usr/bin

cp -a * $RPM_BUILD_ROOT/usr/share/webmin
cp webmin-init $RPM_BUILD_ROOT/etc/rc.d/init.d/webmin
install -m755 %{SOURCE4} $RPM_BUILD_ROOT/usr/share/webmin/postinstall.sh
install -m755 %{SOURCE5} $RPM_BUILD_ROOT/usr/bin

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%post
if [ "$1" != 1 ]; then
	# Upgrading the RPM, so stop the old webmin properly
	/etc/rc.d/init.d/webmin stop >/dev/null 2>&1
fi

# (gc) security fix: we test if we are in install
if [ -z "$DURING_INSTALL" ]; then
/usr/share/webmin/postinstall.sh
fi

chkconfig --add webmin
rm -f /var/lock/subsys/webmin
/etc/rc.d/init.d/webmin start > /dev/null 2>&1


%preun
if [ "$1" = 0 ]; then
	grep root=/usr/share/webmin /etc/webmin/miniserv.conf >/dev/null 2>&1
	if [ "$?" = 0 ]; then
		# RPM is being removed, and no new version of webmin
		# has taken it's place. Stop the server
		/etc/rc.d/init.d/webmin stop >/dev/null 2>&1
	fi
fi
chkconfig --del webmin

%postun
if [ "$1" = 0 ]; then
	grep root=/usr/share/webmin /etc/webmin/miniserv.conf >/dev/null 2>&1
	if [ "$?" = 0 ]; then
		# RPM is being removed, and no new version of webmin
		# has taken it's place. Delete the config files
		rm -rf /etc/webmin /var/webmin
	fi
fi

%files
%defattr(-,root,root,0755)
%doc README LICENCE README.mdkicons COPYING.mdkicons
/usr/share/webmin/
/etc/rc.d/init.d/webmin
/usr/bin/%{name}

%changelog
* Fri May  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.80-1mdk
- upgrade to 0.80 beta with the kind help of Jamie, because of
  incompatibility between 0.79 and perl 5.6

* Wed May  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.79-5mdk
- updated postfix-mdkmodule so that it tests if postfix is running
  in a more portable way [uses kill -0 <pid>]
- updated install style so that it adds to the runlevel information
  at install time; thus it's okay now to select/deselect it in DrakX

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.79-4mdk
- fixed the hang of post install at boot time [grr]

* Wed Apr 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.79-3mdk
- fixed very bad security issue concerning exec of script during
  install
- added small executable to tell people that they have to connect
  through their web browser

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.79-2mdk
- fixed missing LICENCE file

* Fri Apr 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.79-1mdk
- 0.79
- updated postfix-mdkmodule with bugfixes and other stuff
- mdkicons now have a copyright

* Thu Apr  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.78-2mdk
- Updated Mandrake Icons
- Updated `PreRequires', and fixed the problem of /etc/issue,
  in order to not fail in install

* Mon Mar 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.78-1mdk
- Mandrake Icons

* Fri Mar 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.78-0.4mdk
- v0.78
- Postfix Module
- cleanup and debug of specfile with help of Chmouel :-)

* Thu Feb 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v0.77
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Tue Feb 8 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.77
- updated specfile based on the webmin source RPM (newly released, nice
  changes!)
- included the 0.73 ocstheme again (does anyone know of an update to this?)

* Thu Jan 13 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.76

* Wed Dec 08 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Sun Dec 5 1999 Vincent Danen <vdanen@linux-mandrake.com>
- built specfile for Mandrake contribs
- based loosely on Leon Breedt's <leon@obsidian.co.za> SRPM for 0.73
- webmin-install.sh is now a source package, not built from patch
- bzip sources
